libextractor

Description:Library to extract metadata from files of arbitrary type
License: LGPL-2.1, GPL-2, GPL-3
Homepage:https://www.gnu.org/software/libextractor/
Location:Portage
Legend:
  • + - stable
  • ~ - unstable
  • M - hardmask
alpha amd64 arm hppa ia64 m68k mips ppc ppc64 s390 sh sparc x86
1.8-r1 - + ~ - - - - + + - - - +

USE flags

  • apparmor - Enable apparmor support using sys-libs/libapparmor
  • archive - Enable archive support using app-arch/libarchive
  • bzip2 - Use the bzlib compression library
  • ffmpeg - Enable ffmpeg/libav-based audio/video codec support
  • flac - Add support for FLAC: Free Lossless Audio Codec
  • gif - Add GIF image support
  • gnome - Add GNOME support
  • gsf - Enable OLE2 (MS Office) plug-in support using gnome-extra/libgsf
  • gstreamer - Add support for media-libs/gstreamer (Streaming media)
  • gtk - Add support for x11-libs/gtk+ (The GIMP Toolkit)
  • jpeg - Add JPEG image support
  • magic - Enable magic support using sys-apps/file
  • midi - Enable MIDI support through media-libs/libsmf
  • mp4 - Support for MP4 container format
  • mpeg - Add libmpeg3 support to various packages
  • nls - Add Native Language Support (using gettext - GNU locale utilities)
  • pdf - Add general support for PDF (Portable Document Format), this replaces the pdflib and cpdflib flags
  • qt4 - Add support for the Qt GUI/Application Toolkit version 4.x
  • tidy - Add support for HTML Tidy
  • tiff - Add support for the TIFF image format
  • vorbis - Add support for the OggVorbis audio codec
  • zlib - Add support for zlib (de)compression

Security Advisory

Date Severity Title
almost 13 years normal libextractor: Two heap-based buffer overflows
about 13 years normal Xpdf, Poppler, GPdf, libextractor, pdftohtml: Heap overflows
almost 14 years normal libextractor: Multiple overflow vulnerabilities

Also available in: Atom

Thank you!